Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.mdr.events
Interface MDRChangeListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  MDRPreChangeListener

    public interface MDRChangeListener

extends EventListener

Listener interface that allows repository clients to be notified of any changes in the repository after they occur. Object needs to implement this interface in order to be able to register for receiving MDR change notifications. The `change(org.netbeans.api.mdr.events.MDRChangeEvent)` method of this interface is called asynchronously after the change is performed. If you need to get notified of the changes also before they occur, you may rather wish to implement `MDRPreChangeListener` interface.

Method Summary
`void` | `change(MDRChangeEvent e)` This method gets called after a repository change is performed.

Method Detail

### change

    void change(MDRChangeEvent e)

  This method gets called after a repository change is performed. This method is called asynchronously. If a listener implements `MDRPreChangeListener` which is a descedant of this interface, the event object passed to this method must be the same instance as the event object previously passed to the corresponding `MDRPreChangeListener.plannedChange(org.netbeans.api.mdr.events.MDRChangeEvent)` method call of the listener.

  Any run-time exception thrown by the implementation of this method should not affect the events dispatching (i.e. it should be ignored by the event source).

  Parameters:
    `e` - Object describing the performed change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.